#!/bin/sh

rpm_file=redhat/mount-2.10f-1.src.rpm
patch_file=nrfs-mount-2.10f-1.patch

if [ ! -f $rpm_file ]; then
    echo no source file, please change current directory
    exit
fi
if [ ! -f $patch_file ]; then
    echo no patch file, please change current directory
    exit
fi

spec_file=/usr/src/redhat/SPECS/mount.spec
top=/usr/src/redhat/BUILD/util-linux-2.10f


###
backup()
{
    f="$1"
    b="$f.backup"

    if [ -x $f ]; then
	if [ ! -x $b ]; then
	    mv $f $b
	else
	    echo "$0: cannot rename $f to $b: File exist"
	    exit 1
	fi
    fi
}

backup $top

rpm -i $rpm_file
rpm -bc $spec_file


###
(cd $top; patch -p1) < $patch_file
