#!/bin/sh

# Copyright (C) 2001, 2002, NRFS Project Team 
 
SERVER="/usr/sbin/recovery"

export REC_STD_LOG="/var/log/recovery_log"
export REC_ERR_LOG="/var/log/recovery_err"
export REC_PID_FIL="/var/run/recovery.pid"

export REC_IPC_KEY=2048
export REC_CHK_PORT=2048
export REC_REP_PORT=2049
export REC_AUT_PORT=111

# Source function library.
. /etc/rc.d/init.d/functions
 
[ -f $SERVER ] || exit 0
 
case "$1" in
  start)
	if [ -f $REC_PID_FIL ]; then
        	/bin/rm -f $REC_PID_FIL
	fi
	$SERVER
	if [ -f $REC_PID_FIL ]; then
        	echo "Starting recovery daemon"
	fi
        ;;
  stop)
	if [ -f $REC_PID_FIL ]; then
		/bin/kill -INT `cat $REC_PID_FIL`
        	/bin/rm -f $PID_FILE
        	echo "recovery daemon stoped"
	fi
        ;;
  restart|reload)
	if [ -f $REC_PID_FIL ]; then
		/bin/kill -HUP `cat $REC_PID_FIL`
        	echo "Restarting recovery daemon"
	fi
        ;;
  *)
        echo "Usage: recovery {start|stop}"
        exit 1
esac
 
exit 0

